# class Syck::PrivateType

Default private type

### Public Class Methods

new( type, val ) click to toggle source

    # File lib/syck/types.rb, line 13
    def initialize( type, val )
        @type_id = type; @value = val
        @value.taguri = "x-private:#{ @type_id }"
    end

tag_subclasses?() click to toggle source

    # File lib/syck/types.rb, line 11
    def self.tag_subclasses?; false; end

### Public Instance Methods

to_yaml( opts = {} ) click to toggle source

    # File lib/syck/types.rb, line 17
    def to_yaml( opts = {} )
        @value.to_yaml( opts )
    end